# Class CIM_ResourcePoolConfigurationCapabilities
extends CIM_Capabilities

This class exposes the supported capabilities of a ResourcePoolConfigurationService. Not all implementations will support all methods on the service. Clients may use instances of this class to determine which methods are supported. The same method must not be listed in both lists. Implementations must either be non-blocking and use a Job for long running operations, or always block until the operation completes.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_ResourcePoolConfigurationCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class exposes the supported capabilities of a ResourcePoolConfigurationService. Not all implementations will support all methods on the service. Clients may use instances of this class to determine which methods are supported. The same method must not be listed in both lists. Implementations must either be non-blocking and use a Job for long running operations, or always block until the operation completes.

UMLPackagePath | string | CIM::Core::Resource
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AsynchronousMethodsSupported | uint32[] |
Description | string | This property reflects the methods of the associated service class that are supported that may return a Job.
ValueMap | string | 2, 3, 4, 5, 6, 7, .., 32768..65535
Values | string | CreateResourcePool is supported, CreateChild ResourcePool is supported, DeleteResourcePool is supported, AddResourcesToResourcePool is supported, RemoveResourcesFromResourcePool is supported, ChangeParentResourcePool is supported, DMTF Reserved, Vendor Reserved
SynchronousMethodsSupported | uint32[] |
Description | string | This property reflects the methods of the associated service class that are supported andblock until completed (no Job is returned.)
ValueMap | string | 2, 3, 4, 5, 6, 7, .., 32768..65535
Values | string | CreateResourcePool is supported, CreateChild ResourcePool is supported, DeleteResourcePool is supported, AddResourcesToResourcePool is supported, RemoveResourcesFromResourcePool is supported, CIM_ChangeParentResourcePool is supported, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods